<?php
session_start();
for($i=0;$i<4;$i++){
$rand.=dechex(rand(0,15));
}
$_SESSION['check_pic']=$rand;
$im=imagecreatetruecolor(50,20);
//设置颜色
$bg=imagecolorallocate($im,2,2,2); //第一次用调试版的时候，背景颜色
$te=imagecolorallocate($im,255,255,255); 

for($i=0;$i<4;$i++){
	$te2=imagecolorallocate($im,rand(0,200),rand(0,200),rand(0,200)); 
	imageline($im,rand(0,50),0,20,30,$te2);
}
for($i=0;$i<50;$i++){
	imagesetpixel($im,rand()%50,rand()%20,$te2);
}

//把字符串写在图像左上角
imagestring($im,rand(3,6), rand(3,15), rand(1,7),$rand,$te);
header("Content-type; image/jpeg");
imagejpeg($im);
?>